How to use Hekate 4.2 with Atmosphere 0.8.x on 6.2 Firmware

Discussion in 'Switch - Tutorials' started by Adran_Marit, Dec 2, 2018.

  1. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    Okay this is fairly simple tutorial, but there have been people asking in discord what to do to get this running so I figured I would type this up.

    This process assumes you have run hekate previously and have used an older version of atmosphere
    Patches are required to add full functionality. Get them here


    SD FILES UPDATED. GET THEM FROM :arrow: HERE


    Process:

    1) Download Atmosphere from here. Make sure you download both the .zip files and the .bin file, this is very important.
    2) Override your previous atmosphere folder, bct.ini and fusee-secondary.bin on your sd card
    3) Copy fusee-primary.bin to sd:/bootloader/payloads and override the previous file
    4) Edit your hekate_ipl.ini to look like the following. (you can add a new entry or just modify the existing cfw one)

    Code:
    [Atmosphere 6.2 CFW]
    payload=bootloader/payloads/fusee-primary.bin
    
    5) Save and close the ini.
    6) Put your Micro SD back into your switch
    7) Launch hekate with hekate_ctcaer_4.2.bin and choose your newly edited cfw option and enjoy :)[/INFORMATION]
     
    Last edited by Adran_Marit, Dec 4, 2018
    VMM, Hmed, OrGoN3 and 2 others like this.
  2. Serfrost

    Serfrost GBAtemp Fan

    Member
    3
    Jan 7, 2015
    United States
    [snip] Kosmos Pre-release update covered what this post was about. o/
     
    Last edited by Serfrost, Dec 3, 2018
    VMM, Hmed, JeepX87 and 1 other person like this.
  3. marcoxxx

    marcoxxx Newbie

    Newcomer
    1
    Nov 30, 2018
    Italy
    I've a patched console, there is no way to load hekate and hack it?
     
    Hmed likes this.
  4. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    you will need to sit tight and wait for warmboot hax to be released
     
    Hmed likes this.
  5. wiiando

    wiiando GBAtemp Regular

    Member
    4
    Dec 28, 2008
    United States
    Thanks for this, autoboot is back :)
     
    Hmed and ModderFokker619 like this.
  6. alimao

    alimao Member

    Newcomer
    4
    Mar 26, 2009
    Brazil
    Possible to change 0.81 and 0.75 to fw 6.1.5.1
    by hekate?
    I noticed that atmosphere 0.81 only works in 6.2 in 4.1 I get error
     
    Hmed likes this.
  7. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    Just use the sdsetup files for earlier versions. This was written explitily for those who had a previous version but updated to 6.2
     
    Hmed likes this.
  8. alimao

    alimao Member

    Newcomer
    4
    Mar 26, 2009
    Brazil
    hekate gave us the option to choose cfw reinx, atmosphere my question is it not possible to do the same with atmosphere? 0.75 or .0.81
     
    Last edited by alimao, Dec 2, 2018
    Hmed likes this.
  9. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    See above.
     
    Hmed likes this.
  10. alimao

    alimao Member

    Newcomer
    4
    Mar 26, 2009
    Brazil
    [config]
    autoboot=1
    autoboot_list=0
    bootwait=5
    customlogo=1
    verification=2
    backlight=100
    autohosoff=0

    {Atmosphère 0.8.1}
    { }
    [Atmosphere 6.2 CFW]
    payload=bootloader/payloads/fusee-primary.bin
    kip1=modules/required/loader.kip
    kip1=modules/required/pm.kip
    kip1=modules/required/sm.kip
    kip1=modules/required/fs_mitm.kip
    secmon=modules/required/exosphere.bin
    kip1patch=nosigchk
    atmosphere=1


    {Atmosphère 0.7.5}
    { }
    [Atmosphere 5.1,6.1 CFW]
    payload=bootloader/payloads/fusee-primary.bin
    kip1=modules/required/loader.kip
    kip1=modules/required/pm.kip
    kip1=modules/required/sm.kip
    kip1=modules/required/fs_mitm.kip
    secmon=modules/required/exosphere.bin
    kip1patch=nosigchk
    atmosphere=1


    I receive blue screen when initializing ofw 4.1 atmosphere 0.75 or atmosphere 0.81
    is not possible add atmosphere 0.75 and 0.81 on the same sd card
     
    Last edited by alimao, Dec 2, 2018
    Hmed likes this.
  11. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    Cause you are trying to load old atmosphere with new payload. get the old one and rename it to fusee-old.bin instead of fusee-primary. (That's if the new secondary even works with the old primary)

    As I stated at the start, this is meant to those who have upgraded not those who want to dual boot with old and new
     
    Hmed likes this.
  12. alimao

    alimao Member

    Newcomer
    4
    Mar 26, 2009
    Brazil
    I know I'll try to do what you said Thank you, your tutorial works great. It was just curiosity.
     
    Hmed likes this.
  13. fst312

    fst312 GBAtemp Advanced Fan

    Member
    4
    Nov 4, 2008
    United States
    New York
    For the first line of code will it be the same if I put 5.1 instead of 6.2 since my switch isn’t up to date.
     
    Hmed likes this.
  14. noctis90210

    noctis90210 GBAtemp Advanced Fan

    Member
    4
    Dec 24, 2013
    @noahc3 is there any chance to include this on switch guide? so people can play in 6.2.0 while waiting for official hakate compatibility for 6.2.0? thanks.
     
    Hmed likes this.
  15. Slim45

    Slim45 Member

    Newcomer
    2
    Aug 6, 2018
    United Kingdom
    so My friend has 6.2 stock on a pre patched console and wants me to load cfw on it. Will I be able to load hekate and back up his 6.2 nand and fuse/tsec keys using hekate?
     
    Hmed likes this.
  16. OrGoN3

    OrGoN3 GBAtemp Addict

    Member
    7
    Apr 23, 2007
    United States
    You would also need the kip ips patches for fusee if using fusee as your bootloader.
     
    Hmed likes this.
  17. ModderFokker619

    ModderFokker619 GBAtemp Fan

    Member
    4
    Oct 2, 2015
    This is awesome, thank you.

    Back to autobooting.
     
    Hmed likes this.
  18. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    for 5.1 you need the old files atmosphere 0.7.5 which you can get preconfigured from sdsetup. The default listing for the sd setup files is just CFW and loads atmosphere 0.7.5

    If it is a new ipatched console then you will need to wait for warmboot, sorry.

    did you mean the es and fs patches for atmosphere? cause if you should already have them if you had the previous version of atmosphere running

    No worries :)
     
    Hmed likes this.
  19. OrGoN3

    OrGoN3 GBAtemp Addict

    Member
    7
    Apr 23, 2007
    United States
    ES patches are the same for hekate and for fusee. I'm talking about the kip patches. With hekate, you load them through the config via "kip1=modules/etc.kip". With fusee you use ips patches. Or so I've been told.
     
  20. Adran_Marit
    OP

    Adran_Marit Walküre's Hacker

    Member
    5
    Oct 3, 2015
    Australia
    42*South
    Dunno, I just know what I posted works
     
Loading...